सामग्री पर जाएँ

Qwen 3 TTS - Voice Design [1.7B]

इंटीग्रेट करें

मॉडल id qwen-3-tts/voice-design/1.7b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-3-tts/voice-design/1.7b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.005 5 API क्रेडिट · ≈ ₽0.54 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Alibaba टेक्स्ट से स्पीच #text-to-speech#voice-design

लिखित विवरण से नई आवाज़ डिज़ाइन करता है और दिए गए टेक्स्ट को उसी में बोलता है

Alibaba · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वाणी में बदलने के लिए टेक्स्ट सामग्री।

•आवश्यक

संश्लेषित वाक् की शैली के लिए वैकल्पिक निर्देश।

उन्नत language · top_k · top_p · temperature · repetition_penalty · subtalker_top_k · subtalker_top_p · subtalker_temperature · max_new_tokens · subtalker_dosample · enable_safety_checker
डिफ़ॉल्ट Auto

डिज़ाइन की जा रही आवाज़ की भाषा।

डिफ़ॉल्ट 50

टॉप-k सैंपलिंग की सेटिंग।

डिफ़ॉल्ट 1

सैंपलिंग के दौरान उपयोग की जाने वाली Top-p सेटिंग।

डिफ़ॉल्ट 0.9

सैंपलिंग के दौरान उपयोग किया जाने वाला तापमान; बड़े मान यादृच्छिकता बढ़ाते हैं।

डिफ़ॉल्ट 1.05

टोकन या कोड के दोहराव को हतोत्साहित करने वाला पेनल्टी।

डिफ़ॉल्ट 50

सब-टॉकर से सैंपलिंग करते समय उपयोग की जाने वाली Top-k सेटिंग।

डिफ़ॉल्ट 1

सब-टॉकर से सैंपलिंग करते समय उपयोग की जाने वाली Top-p सेटिंग।

डिफ़ॉल्ट 0.9

सब-टॉकर द्वारा उपयोग किया जाने वाला सैंपलिंग तापमान।

डिफ़ॉल्ट 200

नए बनाए गए कोडेक टोकन की ऊपरी सीमा।

POST /run/qwen-3-tts/voice-design/1.7b?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-3-tts/voice-design/1.7b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Qwen 3 TTS - Voice Design [1.7B] के बारे में

आवश्यक `prompt` में वर्णित आवाज़ में `text` के लिए स्पीच जनरेट करता है, इसलिए प्रीसेट आवाज़ या संदर्भ ऑडियो की आवश्यकता नहीं होती। `language` Auto या दस नामित भाषाओं में से एक हो सकती है। सैंपलिंग नियंत्रण और `max_new_tokens` (1 से 8192, डिफ़ॉल्ट 200) उपलब्ध हैं। बाद में डिज़ाइन की गई आवाज़ को clone-voice मॉडल से क्लोन किया जा सकता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
textआवश्यक
प्रकारstring
वाणी में बदलने के लिए टेक्स्ट सामग्री।
languageवैकल्पिक
प्रकारenum
डिफ़ॉल्टAuto
AutoEnglishChineseSpanishFrenchGermanItalianJapaneseKoreanPortugueseRussian
डिज़ाइन की जा रही आवाज़ की भाषा।
promptआवश्यक
प्रकारstring
संश्लेषित वाक् की शैली के लिए वैकल्पिक निर्देश।
top_kवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट50
≥ 0
टॉप-k सैंपलिंग की सेटिंग।
top_pवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट1
0 – 1
सैंपलिंग के दौरान उपयोग की जाने वाली Top-p सेटिंग।
temperatureवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट0.9
≤ 1> 0
सैंपलिंग के दौरान उपयोग किया जाने वाला तापमान; बड़े मान यादृच्छिकता बढ़ाते हैं।
repetition_penaltyवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट1.05
≥ 0
टोकन या कोड के दोहराव को हतोत्साहित करने वाला पेनल्टी।
subtalker_dosampleवैकल्पिक
प्रकारboolean | null
डिफ़ॉल्टtrue
सब-टॉकर द्वारा सैंपलिंग सक्षम या अक्षम करने वाला स्विच।
subtalker_top_kवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट50
≥ 0
सब-टॉकर से सैंपलिंग करते समय उपयोग की जाने वाली Top-k सेटिंग।
subtalker_top_pवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट1
0 – 1
सब-टॉकर से सैंपलिंग करते समय उपयोग की जाने वाली Top-p सेटिंग।
subtalker_temperatureवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट0.9
0 – 1
सब-टॉकर द्वारा उपयोग किया जाने वाला सैंपलिंग तापमान।
max_new_tokensवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट200
1 – 8,192
नए बनाए गए कोडेक टोकन की ऊपरी सीमा।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-3-tts/voice-design/1.7b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "duration": 5,
      "channels": 1,
      "sample_rate": 1,
      "bitrate": "string"
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size, duration, channels, sample_rate, bitrate}संश्लेषित स्पीच वाली ऑडियो फ़ाइल।

और मॉडल: टेक्स्ट से स्पीच

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/qwen-3-tts/voice-design/1.7b.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt